- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# IFunctor3< Arg1, Arg2, Arg3, ReturnType > Class Template Reference
[Utility Classes.]

A functor with three arguments. More...

`#include <FUFunctor.h>`

Inheritance diagram for IFunctor3< Arg1, Arg2, Arg3, ReturnType >:

List of all members.

## Public Member Functions
virtual | ~IFunctor3 ()
| Destructor.
virtual ReturnType | operator() (Arg1 argument1, Arg2 argument2, Arg3 argument3) const =0
| Calls the functor.
virtual bool | Compare (void *object, void *function) const =0
| Checks whether this functor points towards the given member function.
virtual IFunctor3< Arg1, Arg2, Arg3, ReturnType > * | Copy () const =0
| Returns a copy of this functor.

## Detailed Description

### template<class Arg1, class Arg2, class Arg3, class ReturnType>
class IFunctor3< Arg1, Arg2, Arg3, ReturnType >

A functor with three arguments.

## Member Function Documentation

template<class Arg1, class Arg2, class Arg3, class ReturnType>
virtual bool IFunctor3< Arg1, Arg2, Arg3, ReturnType >::Compare | ( | void * | object,
|  | void * | function
| ) | const`[pure virtual]`

  | Checks whether this functor points towards the given member function. Parameters:
  | object | The object which holds the member function.
  | function | The member function.
Returns: Whether this functor points towards the given member function. Implemented in FUFunctor3< Class, Arg1, Arg2, Arg3, ReturnType >.

template<class Arg1, class Arg2, class Arg3, class ReturnType>
virtual ReturnType IFunctor3< Arg1, Arg2, Arg3, ReturnType >::operator() | ( | Arg1 | argument1,
|  | Arg2 | argument2,
|  | Arg3 | argument3
| ) | const`[pure virtual]`

  | Calls the functor. Parameters:
  | argument1 | A first argument.
  | argument2 | A second argument.
  | argument3 | A third argument.
Returns: Implementation-dependant. Implemented in FUFunctor3< Class, Arg1, Arg2, Arg3, ReturnType >, and FUStaticFunctor3< Arg1, Arg2, Arg3, ReturnType >.

The documentation for this class was generated from the following file:

- FUtils/FUFunctor.h